Get one classification result
curl --request GET \
--url https://api-v2.watchcollect.com/v2/classifications/{classification_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/classifications/{classification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/classifications/{classification_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"classification_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
],
"legacy_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"normalized_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"completed_at_ms": 123,
"created_at_ms": 123,
"extraction_output": {},
"raw_model_response": {},
"connector_id": "openai",
"model_profile_id": "<string>",
"model_id": "<string>",
"schema_mode": "json_schema",
"prompt_bundle_version": "<string>",
"latency_ms": 123,
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}classifications
Get one classification result
GET
/
v2
/
classifications
/
{classification_id}
Get one classification result
curl --request GET \
--url https://api-v2.watchcollect.com/v2/classifications/{classification_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/classifications/{classification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/classifications/{classification_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"classification_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
],
"legacy_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"normalized_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"completed_at_ms": 123,
"created_at_ms": 123,
"extraction_output": {},
"raw_model_response": {},
"connector_id": "openai",
"model_profile_id": "<string>",
"model_id": "<string>",
"schema_mode": "json_schema",
"prompt_bundle_version": "<string>",
"latency_ms": 123,
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Classification detail.
Available options:
buying, selling, personal Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Rich watch extraction envelope with document context, source spans, inherited context, field evidence and validation warnings.
Raw structured provider response when it is a JSON object.
Available options:
openai, anthropic, gemini, openrouter, openai_compatible Available options:
json_schema, tool_schema, json_object